@media (max-width: 991px) {
    .site-main {
        padding-top: 60px;
    }

    .blog-breadcrumbs-wrap {
        width: 100%;
        padding: 10px 20px 0;
    }

    .blog-header {
        width: 100%;
        padding: 25px 0 40px;
    }

    .blog-header__title {
        font-size: 48px;
        width: 100%;
    }

    .blog-header__subtitle {
        font-size: 19px;
        width: 100%;
    }

    .blog-header__filters {
        flex-wrap: wrap;
        justify-content: flex-start;
        padding-top: 22px;
    }

    .blog-filter {
        padding: 20px 20px 20px 17px;
        font-size: 16px;
    }

    .blog-grid-section {
        width: 100%;
        padding: 0 0 40px;
    }

    .blog-grid {
        flex-direction: column;
        gap: 20px;
    }

    .blog-card {
        width: 100%;
    }

    .blog-card__title {
        margin-bottom: 8px;
        font-size: 28px;
        height: auto;
        min-height: 40px;
        line-height: normal;
    }

    .blog-card__desc {
        font-size: 19px;
        height: auto;
    }
    .blog-card__image {
        height: 180px;
    }
    .blog-tag {
        display: flex;
        align-items: center;
        height: 17px;
    }
    .blog-card__footer {
        padding-top: 14px;
    }
}